Suspend deployment procedure instance
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/actions/suspend
Suspend a running deployment procedure latest execution if execution Id is not specified and if execution id is specified, then particular execution id will be suspended.It is equivalent to suspend_instance in emcli.
Request
Path Parameters
-
deploymentProcedureInstanceId(required): string
Id of an Instance.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRepresents execution id.
Show Source
-
executionId: string
Represents executionId of a deployment procedure instance.Example:
CC1871802C4343A3E053E00F4B640972
Response
204 Response
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
403 Response
Forbidden. The user is forbidden to perform the requested operation
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description